INCLUDE_DIRS = -I ..
ERROR_LEVEL = 0
CFLAGS = -D ERROR_LEVEL=${ERROR_LEVEL} -g ${INCLUDE_DIRS} -Wall

all: smart_battery.o

smart_battery.o: smart_battery.c
	gcc ${CFLAGS} -c smart_battery.c

clean:
	rm *.o *~
